scrapy安装报错:Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”

环境:win 10 x86_64  python 3.5.3

在windows dos命令提示符中运行pip install -i https://pypi.douban.com/simple/ scrapy时报错,错误提示:Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools"

scrapy安装报错:Microsoft Visual C++ 14.0 is required. Get it with

解决办法:

http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted 下载twisted对应版本的whl文件(如Twisted-17.5.0-cp35-cp35m-win_amd64.whl),cp后面是Python版本,amd64代表64位,运行安装命令:

pip install Twisted-17.5.0-cp35-cp35m-win_amd64.whl

安装完成后,再次运行:

pip install -i https://pypi.douban.com/simple/ scrapy  即可成功

您可以选择一种方式赞助本站

支付宝转账赞助

支付宝扫一扫赞助

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

图片 表情